-- Example Lua script basic.lua
--
-- Check that the filename does not contain "failme"
--

local f = env["Path"]
local bytes_processed = env["Size"]

if f:match(".*failme.*") then
  local err_msg = "bad file name"
  update_status("error", bytes_processed, err_msg)
else
  update_status("completed", bytes_processed)
end
